petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSSetTime

Allows one to reset the time.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetTime(TS ts, PetscReal t)

Logically Collective on TS

### Input Parameters

| ts | - the TS context obtained from TSCreate()
| time | - the time

### See Also

TSGetTime(), TSSetMaxSteps()

### Level

intermediate

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex20opt_p.c.html
src/ts/examples/tutorials/ex20opt_ic.c.html
src/ts/examples/tutorials/ex40.c.html
src/ts/examples/tutorials/ex41.c.html
src/ts/examples/tutorials/ex50.c.html
src/tao/unconstrained/examples/tutorials/spectraladjointassimilation.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages